diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 3662ae8..3952931 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -827,6 +827,12 @@ no use and can eventually be removed.
                    (list 'tim  'daly '?) t)))))))))))))
 
 @
+\defdollar{ncMsgList}
+<<initvars>>=
+(defvar |$ncMsgList| nil)
+
+@
+
 \defun{SpadInterpretStream}{SpadInterpretStream}
 The SpadInterpretStream function takes three arguments
 \begin{list}{}
@@ -851,7 +857,17 @@ does nothing but print the argument value.
 (defvar |$promptMsg| 'S2CTP023)
 
 @
+\defdollar{newcompErrorCount}
+<<initvars>>=
+(defvar |$newcompErrorCount| 0)
+
+@
+
+\defdollar{nopos}
+<<initvars>>=
+(defvar |$nopos| (list '|noposition|))
 
+@
 \calls{SpadInterpretStream}{mkprompt}
 \calls{SpadInterpretStream}{intloopReadConsole}
 \calls{SpadInterpretStream}{intloopInclude}
@@ -12702,6 +12718,12 @@ Give message and throw to a recovery point.
 
 @
 
+\defdollar{preLength}
+<<initvars>>=
+(defvar |$preLength| 11)
+
+@
+
 \defun{getPreStL}{getPreStL}
 \calls{getPreStL}{size}
 \usesdollar{getPreStL}{preLength}
@@ -12810,6 +12832,11 @@ Give message and throw to a recovery point.
 
 @
 
+\defdollar{imPrGuys}
+<<initvars>>=
+(defvar |$imPrGuys| (list '|imPr|))
+
+@
 \defun{msgImPr?}{msgImPr?}
 \calls{msgImPr?}{getMsgCatAttr}
 <<defun msgImPr?>>=
@@ -12970,6 +12997,12 @@ org prints out the word noposition or console
 
 @
 
+\defdollar{toWhereGuys}
+<<initvars>>=
+(defvar |$toWhereGuys| (list '|fileOnly| '|screenOnly|))
+
+@
+
 \defun{getMsgToWhere}{getMsgToWhere}
 \calls{getMsgToWhere}{getMsgCatAttr}
 <<defun getMsgToWhere>>=
@@ -13015,6 +13048,12 @@ org prints out the word noposition or console
 
 @
 
+\defdollar{attrCats}
+<<initvars>>=
+(defvar |$attrCats| (list '|$imPrGuys| '|$toWhereGuys| '|$repGuys|))
+
+@
+
 \defun{whichCat}{whichCat}
 \calls{whichCat}{ListMember?}
 \usesdollar{whichCat}{attrCats}
@@ -13111,6 +13150,11 @@ org prints out the word noposition or console
 
 @
 
+\defdollar{imPrTagGuys}
+<<initvars>>=
+(defvar |$imPrTagGuys| (list '|unimple| '|bug| '|debug| '|say| '|warn|))
+
+@
 \defun{initImPr}{initImPr}
 \calls{initImPr}{memq}
 \calls{initImPr}{getMsgTag}
@@ -13416,6 +13460,12 @@ redundant(msg,thisPosMsgs) ==
 
 @
 
+\defdollar{repGuys}
+<<initvars>>=
+(defvar |$repGuys| (list '|noRep| '|rep|))
+
+@
+
 \defun{msgNoRep?}{msgNoRep?}
 \calls{msgNoRep?}{getMsgCatAttr}
 <<defun msgNoRep?>>=
diff --git a/changelog b/changelog
index 40163c2..132c181 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,8 @@
+20100823 tpd src/axiom-website/patches.html 20100823.01.tpd.patch
+20100823 tpd src/interp/Makefile merge varini
+20100823 tpd src/interp/compiler.lisp merge varini
+20100823 tpd books/bookvol5 merge varini
+20100823 tpd src/interp/varini.lisp removed, merged with bookvol5
 20100818 tpd src/axiom-website/patches.html 20100818.02.tpd.patch
 20100818 tpd src/axiom-website/download.html add opensuse for july2010
 20100818 tpd src/axiom-website/patches.html 20100818.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 57d61fc..87cb6ae 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3077,5 +3077,7 @@ src/axiom-website/download.html add slackware<br/>
 books/bookvolbib Parnas & Madey [PM95], Parnas & Jin [PJ10]<br/>
 <a href="patches/20100818.02.tpd.patch">20100818.02.tpd.patch</a>
 src/axiom-website/download.html add opensuse for july2010<br/>
+<a href="patches/20100823.01.tpd.patch">20100823.01.tpd.patch</a>
+src/interp/varini.lisp removed, merged with bookvol5<br/>
  </body>
 </html>
diff --git a/src/interp/Makefile.pamphlet b/src/interp/Makefile.pamphlet
index b35bd8a..47475a3 100644
--- a/src/interp/Makefile.pamphlet
+++ b/src/interp/Makefile.pamphlet
@@ -197,8 +197,7 @@ for various parts of the system. The {\bf patches.lisp} \cite{5}
 file contains last-minute changes to various functions and
 constants.
 <<environment>>=
-INOBJS=	${OUT}/varini.${O}	\
-        ${OUT}/interop.${O}     ${OUT}/patches.${O}
+INOBJS=	 ${OUT}/interop.${O}     ${OUT}/patches.${O}
 
 @
 
diff --git a/src/interp/compiler.lisp.pamphlet b/src/interp/compiler.lisp.pamphlet
index 808f915..f9b7ccd 100644
--- a/src/interp/compiler.lisp.pamphlet
+++ b/src/interp/compiler.lisp.pamphlet
@@ -13,6 +13,9 @@
 
 (IN-PACKAGE "BOOT" )
 
+(defvar |$NoValueMode| '|NoValueMode|)
+(defvar |$ValueMode| '|ValueMode|)
+
 ;compTopLevel(x,m,e) ==
 ;--+ signals that target is derived from lhs-- see NRTmakeSlot1Info
 ;  $NRTderivedTargetIfTrue: local := false
diff --git a/src/interp/varini.lisp.pamphlet b/src/interp/varini.lisp.pamphlet
deleted file mode 100644
index 2dd338c..0000000
--- a/src/interp/varini.lisp.pamphlet
+++ /dev/null
@@ -1,44 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\begin{document}
-\title{\$SPAD/src/interp varini.lisp}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-<<*>>=
-
-(IN-PACKAGE "BOOT")
-
-;(defvar |$newComp| T "Start workspace in new compiler.")
-
-;-- Modes
-(defvar |$NoValueMode| '|NoValueMode|)
-(defvar |$ValueMode| '|ValueMode|)
-
-;--error message facility
-(defvar |$nopos| (LIST '|noposition|))
-
-;--from NCMODE BOOT
-(defvar |$ValueMode| '|ValueMode|)
-(defvar |$NoValueMode| '|NoValueMode|)
-(defvar |$newcompErrorCount| 0)
-(defvar $LINELENGTH 80)
-(defvar |$preLength| 11)
-(defvar |$imPrTagGuys| (LIST '|unimple| '|bug| '|debug| '|say| '|warn|))
-(defvar |$toWhereGuys| (LIST '|fileOnly| '|screenOnly|))
-(defvar |$imPrGuys| (LIST '|imPr|))
-(defvar |$repGuys| (LIST '|noRep| '|rep|))
-(defvar |$attrCats| (LIST '|$imPrGuys| '|$toWhereGuys| '|$repGuys|))
-(defvar |$ncMsgList| NIL)
-)
-
-@
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
